## com.google.javascript.jscomp
Interface FunctionInformationMapOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  FunctionInformationMap, FunctionInformationMap.Builder

    public interface FunctionInformationMapOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`FunctionInformationMap.Entry` | `getEntry(int index)`
`int` | `getEntryCount()`
`List<FunctionInformationMap.Entry>` | `getEntryList()`
`FunctionInformationMap.EntryOrBuilder` | `getEntryOrBuilder(int index)`
`List<? extends FunctionInformationMap.EntryOrBuilder>` | `getEntryOrBuilderList()`
`FunctionInformationMap.Module` | `getModule(int index)`
`int` | `getModuleCount()`
`List<FunctionInformationMap.Module>` | `getModuleList()`
`FunctionInformationMap.ModuleOrBuilder` | `getModuleOrBuilder(int index)`
`List<? extends FunctionInformationMap.ModuleOrBuilder>` | `getModuleOrBuilderList()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### getEntryList

    List<FunctionInformationMap.Entry> getEntryList()

### getEntry

    FunctionInformationMap.Entry getEntry(int index)

### getEntryCount

    int getEntryCount()

### getEntryOrBuilderList

    List<? extends FunctionInformationMap.EntryOrBuilder> getEntryOrBuilderList()

### getEntryOrBuilder

    FunctionInformationMap.EntryOrBuilder getEntryOrBuilder(int index)

### getModuleList

    List<FunctionInformationMap.Module> getModuleList()

### getModule

    FunctionInformationMap.Module getModule(int index)

### getModuleCount

    int getModuleCount()

### getModuleOrBuilderList

    List<? extends FunctionInformationMap.ModuleOrBuilder> getModuleOrBuilderList()

### getModuleOrBuilder

    FunctionInformationMap.ModuleOrBuilder getModuleOrBuilder(int index)